{% extends "data_opform.html" %}
{% load i18n %}

{% block form %}
{% autoescape off %}
<tr >
    <th>{% trans "选择权限组:" %}</th>
    <td>
		<div id="id_level" style="border:1px solid #CAE2F9;"></div>
    </td>
</td>
</tr>
<ul class="errorlist" id="emp_select_error"></ul> 


{% endautoescape %}
{% endblock %}

{% block addjs %}
    //为避免加载界面时还没有显示PIN等信息，使用该回调函数--darcy20110330
    function after_object_action()
    {
        //var key= $($("#id_datalist").get(0).current_row).attr("data");
        //通过当前界面获取到的PIN号作为传入条件，不再从id_datalist中获取-darcy20110330
        var pin = $("#objs_for_op").text().split(":")[1].split(" ")[1];
        
        $.ajax({ 
            type: "POST",
            url:"/{{ request.surl }}iaccess/GetData/?func=level&pin="+pin,
            dataType:"json",
            async:false,
            success:function(json){
                var level_list="<ul id='levelSingleBrowser' class='level_list'>";
                if (json.length>0)
                {   
                    for(index in json)
                    {
                        level_list+='<li><input type="checkbox" name="level" value="'+json[index][0]+'"/><p>'+json[index][1]+'</p></li>';
                    }
                    level_list+='</ul>';
                }
                else
                {
                    level_list+='<li><label class="none_selected">'+gettext("没有可选的门禁权限组！")+'</label></li></ul>';
                }
                $("#id_level").append(level_list);
            }
        });
    }

{% endblock%}
